what license is this software released on?

	zlib/libpng license (see file COPYING in this directory)

--------------------------------------------------------------------------

what is it?

	it is a plugin for mozilla-compatible web browsers based on the gecko engine (e.g. firefox, icemonkey, iceweasel, iceape, konqueror, opera). it is able to show Edje files in your browser window. Edje is the layout library of the Enlightenment Window Manager (DR17), based upon the Enlightenment Foundation Libraries (EFL).

what is it good for?

	- initial goal
	Enlightenemnt DR17 and various applications based upton the EFL are themeable with Enlightenments layout library (Edje). each theme is distributed in a precompiled packaged file. as Enlightenment DR17 and various applications get more and more popular, also more and more themes are created. distribution takes place over the web. preview of the theme is done mostly by providing a screenshot of the theme in action. this plugin gives you the possibility to preview the theme in realtime.

	- future goal
	Edje is a powerful tool to create eye-candy user interfaces. if we have already a mozilla plugin, why not enhance it and use it as a replacement for flash objects in web pages?

what platforms are supported?
	
	until now, only X11 as graphical backend is supported, e.g. it should run on any unix where firefox is known to run on (apart from Mac OSX, its not using X11!).

who may use it?

	me of course! but it may me useful to you, too.

--------------------------------------------------------------------------

required libraries and development packages/headers
	1) libecore-dev
	2) libevas-dev
	3) libedje-dev
	4) xulrunner-dev (on Debian GNU/Linux)
	depending on your unix flavour, you may need another package here, e.g. SDK of mozilla, gecko, xulrunner, iceape, icemonkey, firefox, iceweasel or yet another fork ;-)
	5) pkg-config (required for the autotools)
	6) autotools (aclocal, autoconf, libtool, automake)

--------------------------------------------------------------------------

build

	- default strategy
	1) ./autogen.sh
	2) ./configure
	3) make

--------------------------------------------------------------------------

install

	- default strategy
	1) make install (plugin gets installed in your home directory ~/.mozilla/plugins/mozilla-edje-plugin.so)

--------------------------------------------------------------------------

directory structure

	root (root directory)
	|- m4 (files needed for macro processor of autobuild process)
	|- data (config)
	|- test (test framework)
	|- src (source tree)

--------------------------------------------------------------------------

